<?php

declare(strict_types=1);

/**
 * Create your routes in here. The name is the lowercase name of the controller
 * without the controller part, the stuff after the hash is the method.
 * e.g. page#index -> OCA\RePod\Controller\PageController->index().
 *
 * The controller class has to be registered in the application.php file since
 * it's instantiated in there
 */
return [
	'routes' => [
		['name' => 'page#index', 'url' => '/', 'verb' => 'GET'],
		['name' => 'episodes#action', 'url' => '/episodes/action', 'verb' => 'GET'],
		['name' => 'episodes#list', 'url' => '/episodes/list', 'verb' => 'GET'],
		['name' => 'opml#export', 'url' => '/opml/export', 'verb' => 'GET'],
		['name' => 'opml#import', 'url' => '/opml/import', 'verb' => 'POST'],
		['name' => 'podcast#index', 'url' => '/podcast', 'verb' => 'GET'],
		['name' => 'search#index', 'url' => '/search', 'verb' => 'GET'],
		['name' => 'tops#hot', 'url' => '/tops/hot', 'verb' => 'GET'],
		['name' => 'tops#new', 'url' => '/tops/new', 'verb' => 'GET'],
	],
];
